Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.util.lookup
Class AbstractLookup.Content

    java.lang.Object
      org.openide.util.lookup.AbstractLookup.Content

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InstanceContent

Enclosing class:
  AbstractLookup

    public static class AbstractLookup.Content

extends Object
implements Serializable

A class that can be used by the creator of the AbstractLookup to control its content. It can be passed to AbstractLookup constructor and used to add and remove pairs.

Since:
  1.25
See Also:
  Serialized Form

Constructor Summary
`AbstractLookup.Content()`

Method Summary
`void` | `addPair(AbstractLookup.Pair pair)` The method to add instance to the lookup with.
`void` | `removePair(AbstractLookup.Pair pair)` Remove instance.
`void` | `setPairs(Collection c)` Changes all pairs in the lookup to new values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLookup.Content

    public AbstractLookup.Content()

Method Detail

### addPair

    public final void addPair(AbstractLookup.Pair pair)

  The method to add instance to the lookup with.

  Parameters:
    `pair` - class/instance pair

### removePair

    public final void removePair(AbstractLookup.Pair pair)

  Remove instance.

  Parameters:
    `pair` - class/instance pair

### setPairs

    public final void setPairs(Collection c)

  Changes all pairs in the lookup to new values.

  Parameters:
    `c` - the collection of (Pair) objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.